Bug 120807 - Segfault in kbackgammon
Segfault in kbackgammon
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdegames (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 22:07 EDT by Glen A. Foster
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHEL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-24 08:54:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Glen A. Foster 2004-04-13 22:07:12 EDT
Description of problem: While waiting for someone to show up I thought
I'd fire up kbackgammon to check it out.  When I did, I took the
default of "South" as a name, and the computer rolled a 1-4 for me. 
My move was to click on a piece and move it 5 spaces.  Segfault.  And
no backtrace, either. :(

Version-Release number of selected component (if applicable):
# rpm -qf $(which kbackgammon)
kdegames-3.1.3-3.2

How reproducible: don't know
Comment 1 Glen A. Foster 2004-04-13 22:10:26 EDT
Ah, this time I was able to get a backtrace.  Segfaults on the first
move, this time it was a 6-4.  Backtrace information:

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...[New
Thread 1093634880 (LWP 13915)]

(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...(no debugging symbols found)...
(no debugging symbols found)...0xffffe002 in ?? ()
#0  0xffffe002 in ?? ()
#1  0x4075c5cd in KCrash::defaultCrashHandler(int) ()
   from /usr/lib/libkdecore.so.4
#2  <signal handler called>
#3  0x0806624b in QFrame::paintEvent(QPaintEvent*) ()
#4  0x08188618 in ?? ()
#5  0x080607f9 in QFrame::paintEvent(QPaintEvent*) ()
#6  0x40af8040 in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#7  0x0807fdbc in KBgEngine::staticMetaObject() ()
#8  0x0807a276 in KBgEngineOffline::staticMetaObject() ()
#9  0x0807797f in KBgEngineOffline::staticMetaObject() ()
#10 0x40af80c9 in QObject::activate_signal(QConnectionList*, QUObject*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#11 0x0806671d in QFrame::paintEvent(QPaintEvent*) ()
#12 0x0806bf45 in QFrame::paintEvent(QPaintEvent*) ()
#13 0x0806ea17 in QFrame::paintEvent(QPaintEvent*) ()
#14 0x40b2c00c in QWidget::event(QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#15 0x40a99f24 in QApplication::internalNotify(QObject*, QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#16 0x40a99753 in QApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#17 0x406f0239 in KApplication::notify(QObject*, QEvent*) ()
   from /usr/lib/libkdecore.so.4
#18 0x40a40198 in QETWidget::translateMouseEvent(_XEvent const*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#19 0x40a3dcdf in QApplication::x11ProcessEvent(_XEvent*) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#20 0x40a52bda in QEventLoop::processEvents(unsigned) ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#21 0x40aadcf6 in QEventLoop::enterLoop() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#22 0x40aadb98 in QEventLoop::exec() () from
/usr/lib/qt-3.1/lib/libqt-mt.so.3
#23 0x40a9a151 in QApplication::exec() ()
   from /usr/lib/qt-3.1/lib/libqt-mt.so.3
#24 0x08060498 in QFrame::paintEvent(QPaintEvent*) ()
#25 0x42015704 in __libc_start_main () from /lib/tls/libc.so.6
Comment 2 Ngo Than 2006-05-24 08:54:41 EDT
This bug has been fixed in kdegames-3.3.1 long ago

Note You need to log in before you can comment on or make changes to this bug.